## python-oslo.db 4.44.0

=== debian/changelog ===
python-oslo.db (4.44.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 17:25:38 +0000

python-oslo.db (4.44.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:03 +0000

python-oslo.db (4.43.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:21:16 +0000

python-oslo.db (4.42.0-0ubuntu3) disco; urgency=medium

  * d/control: Set min version of python(3)-sqlalchemy to 1.2.15 to ensure
    we are running with new version that defaults to mysqldb driver.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Jan 2019 08:27:10 -0500

python-oslo.db (4.42.0-0ubuntu2) disco; urgency=medium

  * d/p/pymysql-default.patch: Dropped. No longer needed as sqlalchemy
    defaults to mysqldb in disco.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Jan 2019 14:42:14 -0500

python-oslo.db (4.42.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/rules,control: Use openstack-pkg-tools for testing.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:19:23 +0000

python-oslo.db (4.40.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/rename-enginefacade-async.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 15:20:40 -0400

python-oslo.db (4.39.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/rename-enginefacade-async.patch: Cherry-picked from upstream master
    to handle Py3.7 use of async keyword.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 11:48:06 -0400

python-oslo.db (4.38.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch docs build to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 21:44:15 +0100

python-oslo.db (4.38.0-0ubuntu1) cosmic; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - d/p/pymysql-default.patch: Switch mysql default to pymysql.
    - d/watch: Use upstream release tarballs.

  [ James Page ]
  * New upstream release for OpenStack Rocky.
  * d/p/Ignore_use_tpool_option.patch: Dropped, included upstream.
  * d/p/*: Refresh.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 16:45:42 +0100

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.0),
 python-alembic (>= 0.9.6),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.2.15),
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1:1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.15),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.db
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.db
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.9.6),
 python-debtcollector (>= 1.2.0),
 python-migrate (>= 0.11.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.2.15),
 python-stevedore (>= 1:1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 ${misc:Depends},
 ${python:Depends},
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.15),
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

## python-oslo.db 5.0.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
doc8>=0.6.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.db (5.0.2-3) unstable; urgency=medium

  * Removed autopkgtest, as it's using Python 2 (Closes: #943221).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:11:12 +0200

python-oslo.db (5.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:16:26 +0200

python-oslo.db (5.0.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Add python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 12:10:39 +0200

python-oslo.db (4.44.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:43:44 +0200

python-oslo.db (4.44.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed Resolve_SAWarning_in_Query.soft_delete.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:13:18 +0100

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.9.6),
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-migrate (>= 0.11.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n,
 python3-oslo.utils (>= 3.20.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.db
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python3-alembic (>= 0.9.6),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

## python-oslo.db 7.0.0

=== debian/changelog ===
python-oslo.db (7.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:43:35 -0400

python-oslo.db (6.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:36:54 +0000

python-oslo.db (5.0.2-0ubuntu3) focal; urgency=medium

  * Typo.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Nov 2019 10:50:06 -0800

python-oslo.db (5.0.2-0ubuntu2) focal; urgency=medium

  * Fix autopkgtest for the fact that 'python' is no longer present on the
    system.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Nov 2019 06:35:43 -0800

python-oslo.db (5.0.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:32:45 -0400

python-oslo.db (5.0.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:47:35 -0400

python-oslo.db (5.0.0-0ubuntu4) eoan; urgency=medium

  * d/tests/python-import: Drop Python 2.7 from import test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 13:56:21 -0400

python-oslo.db (5.0.0-0ubuntu3) eoan; urgency=medium

  * d/tests/python-ostestr: Drop Python 2.7 ostestr run.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 13:49:05 -0400

python-oslo.db (5.0.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 09:43:00 -0400

python-oslo.db (5.0.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/rules: Run all tests.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/tests/control: Retain python-ostestr and depends.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/copyright: Retain copyright for Michal Arbet.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jun 2019 16:27:41 -0400

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.9.6),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.7.0),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
Homepage: https://launchpad.net/oslo

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

## python-oslo.db 8.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
doc8>=0.6.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.db (8.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:18 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
  python3-migrate (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.20.0),
@@ -39,7 +38,7 @@
  python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -78,7 +77,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.0),
  python3-stevedore (>= 1:1.20.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .eggs

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.db/ oslo.db-(\d.*)\.tar\.gz

## python-oslo.db 8.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
alembic>=0.9.6 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
# these are used by downstream libraries that require
# oslo.db as one of their test requirements - do not remove!
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.db (8.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 08:35:14 +0200

python-oslo.db (8.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:34:47 +0200

python-oslo.db (8.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-os-testr from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:03:11 +0200

python-oslo.db (8.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:58:51 +0200

python-oslo.db (8.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends after Buster is released.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:42:10 +0200

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-migrate,
 python3-mock,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2 (>= 2.8.0),
 python3-pymysql,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.db
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-migrate,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2 (>= 2.8.0),
 python3-pymysql,
 python3-sqlalchemy,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 'oslo_db\.tests.*'
 endif
 
 override_dh_auto_test:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.db/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.db 8.4.1

=== debian/changelog ===
python-oslo.db (8.4.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 11:57:55 +0000

## python-oslo.db 8.5.0+really.8.5.0

=== debian/changelog ===
python-oslo.db (8.5.0+really.8.5.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:32:33 +0000

python-oslo.db (8.5.0+really.8.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:52:12 -0400

python-oslo.db (8.5.0+really.8.4.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby:
    - Align with upper-constraints as 8.5.0 is causing issues.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jan 2021 15:49:59 -0500

python-oslo.db (8.5.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 14:37:04 +0000

python-oslo.db (8.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:34:06 -0400

python-oslo.db (8.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:47:29 +0000

python-oslo.db (8.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:39:16 -0400

## python-oslo.db 10.0.0

=== debian/changelog ===
python-oslo.db (10.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:41:01 -0400

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.9.6),
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.0),
 python3-pymysql (>= 0.7.6),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.db
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.db
Homepage: https://launchpad.net/oslo

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

## python-oslo.db 11.2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
doc8>=0.6.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.db (11.2.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:15:25 -0500

python-oslo.db (11.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:42:52 -0500

python-oslo.db (11.0.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:31:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -37,7 +37,7 @@
  python3-pymysql (>= 0.7.6),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 1.4.0),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -76,7 +76,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 1.4.0),
  python3-stevedore (>= 1:1.20.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),

## python-oslo.db 12.1.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-SQLAlchemy>=1.2.0 # MIT
+SQLAlchemy>=1.4.0 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 # these are used by downstream libraries that require

=== debian/changelog ===
python-oslo.db (12.1.0-3) unstable; urgency=medium

  * Do not run test_enginefacade.* tests, as they work, but stay stuck and
    never finish (Closes: #1031481).

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 08:58:57 +0100

python-oslo.db (12.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 16:54:04 +0200

python-oslo.db (12.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 09:10:31 +0200

python-oslo.db (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:08:07 +0200

python-oslo.db (11.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 15:49:08 +0100

python-oslo.db (11.2.0-2) experimental; urgency=medium

  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 22:44:10 +0100

python-oslo.db (11.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:31:59 +0100

python-oslo.db (11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:22:40 +0200

python-oslo.db (11.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 13:57:25 +0200

python-oslo.db (8.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 20 Aug 2021 12:14:57 +0200

python-oslo.db (8.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:03:12 +0200

python-oslo.db (8.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:06:53 +0100

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-migrate,
 python3-mock,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.db
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-migrate,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 'oslo_db\.tests.*'
+	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 'oslo_db\.tests\.(?!.*test_enginefacade.*)'
 endif
 
 override_dh_auto_test:

## python-oslo.db 12.3.1

=== debian/changelog ===
python-oslo.db (12.3.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046291).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 18:33:49 +0200

python-oslo.db (12.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:25:10 +0200

python-oslo.db (12.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed min version of python3-sqlalchemy.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:29:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .eggs
+	rm -rf build *.egg-info .stestr doc/source/reference/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.db 12.3.2

=== debian/changelog ===
python-oslo.db (12.3.2-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:58:15 -0400

python-oslo.db (12.3.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:13:12 -0500

python-oslo.db (12.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:30:09 -0500

python-oslo.db (12.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Dec 2022 16:27:54 -0500

python-oslo.db (12.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 09:21:00 -0400

python-oslo.db (12.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:09:19 -0400

python-oslo.db (11.3.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 09:45:34 -0400

python-oslo.db (11.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:53:44 -0400

## python-oslo.db 14.0.0

=== debian/changelog ===
python-oslo.db (14.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed sqlalchemy-migrate (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:16:58 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-eventlet,
  python3-fixtures,
  python3-hacking,
- python3-migrate,
  python3-mock,
  python3-openstackdocstheme <!nodoc>,
  python3-oslo.config,
@@ -33,7 +32,7 @@
  python3-psycopg2,
  python3-pymysql,
  python3-sphinxcontrib.apidoc <!nodoc>,
- python3-sqlalchemy (>= 1.4.0),
+ python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
  python3-testresources,
@@ -64,14 +63,13 @@
 Depends:
  alembic,
  python3-alembic,
- python3-migrate,
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.utils,
  python3-pbr,
  python3-psycopg2,
  python3-pymysql,
- python3-sqlalchemy (>= 1.4.0),
+ python3-sqlalchemy,
  python3-stevedore,
  python3-testresources,
  python3-testscenarios,

## python-oslo.db 14.1.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
-sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 # these are used by downstream libraries that require
 # oslo.db as one of their test requirements - do not remove!

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,5 @@
 doc8>=0.6.0 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
 sphinxcontrib-apidoc>=0.2.0  # BSD
+
+sqlalchemy-migrate>=0.11.0 # Apache-2.0

=== debian/changelog ===
python-oslo.db (14.1.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 04:32:44 +0000

python-oslo.db (14.1.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:43:10 -0400

## python-oslo.db 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 alembic>=0.9.6 # MIT
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.db (15.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 10:23:38 +0000

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.9.6),
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.0),
 python3-pymysql (>= 0.7.6),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.db
Homepage: https://opendev.org/openstack/oslo.db

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

## python-oslo.db 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
 alembic>=0.9.6 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-oslo.db (16.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090567).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:09:40 +0100

python-oslo.db (16.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:50:55 +0200

python-oslo.db (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 15:35:17 +0200

python-oslo.db (15.0.0-3) unstable; urgency=medium

  * Remove extraneous python3-mock dependency (Closes: #1069243).

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 10:36:38 +0200

python-oslo.db (15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:32:35 +0200

python-oslo.db (15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:38:33 +0100

python-oslo.db (14.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:17:37 +0200

python-oslo.db (14.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Sep 2023 12:21:02 +0200

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.db
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-sqlalchemy,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.
